/**
 * @copyright nhcarrigan
 * @license Naomi's Public License
 * @author Naomi Carrigan
 */
import { describe, it, expect } from "vitest";
import { NaomiNavItems, NavItems } from "../../src/config/NavItems";

describe("nav items", () => {
  it("should be unique", () => {
    expect.assertions(2);
    const concat = [ ...NavItems, ...NaomiNavItems ];
    const href = new Set(
      concat.map((n) => {
        return n.href;
      }),
    );
    const text = new Set(concat.map((n) => {
      return n.text;
    }));
    expect(href, "links are not unique").toHaveLength(concat.length);
    expect(text, "names are not unique").toHaveLength(concat.length);
  });
});
